org.apache.ignite.internal.util.lang.gridfunc

## Class ToStringClosure<T>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.ToStringClosure<T>

Type Parameters:
  `T` - Type of the free variable for the closure.

All Implemented Interfaces:
  Serializable, C1<T,String>, IgniteClosure<T,String>

    public class ToStringClosure<T>
    extends Object
    implements C1<T,String>

Closure that return `toString()` value for its free variable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ToStringClosure()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(T t)` Closure body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ToStringClosure

    public ToStringClosure()

### Method Detail

#### apply

    public String apply(@Nullable
                        T t)

Closure body.

Specified by:
  `apply` in interface `IgniteClosure<T,String>`
Parameters:
  `t` - Closure parameter.
Returns:
  Closure return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021